VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "BasicPro"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True

Public Type Artikel
   Ausgabe As String
   Autor As String
   Titel As String
   Untertitel As String
   SeiteVon As String
   SeiteBis As String
End Type

Public Function GetRate(ByVal ticker As String) As String
If Left$(ticker, 1) = "I" Then
   GetRate = "Buy!"
Else
   GetRate = "Sell"
End If
End Function

Public Function GetArticles() As Artikel()
GetArticles = QueryArticles("")
End Function

Public Function GetArticlesByDate(ByVal yymm As String) As Artikel()
GetArticlesByDate = QueryArticles(" WHERE Ausgabe='" & yymm & "'")
End Function

Public Function GetArticlesByAuthor(ByVal authorid As String) As Artikel()
GetArticlesByAuthor = QueryArticles(" WHERE Autor=" & authorid)
End Function

Private Function QueryArticles(ByVal condition As String) As Artikel()
Dim rs As New ADODB.Recordset
Dim i, anz As Integer

rs.CursorType = ADODB.CursorTypeEnum.adOpenKeyset
rs.LockType = ADODB.LockTypeEnum.adLockReadOnly
rs.Open "SELECT * FROM Artikel" + condition, "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=c:\daten\basicpro\archiv.mdb"
anz = rs.RecordCount

ReDim a(anz) As Artikel
rs.MoveFirst
For i = 0 To anz - 1
   a(i).Ausgabe = rs("Ausgabe")
   a(i).Autor = rs.Fields("Autor")
   a(i).Titel = rs.Fields("Titel")
   a(i).Untertitel = "" & rs.Fields("Untertitel")
   a(i).SeiteVon = rs.Fields("SeiteVon")
   a(i).SeiteBis = rs.Fields("SeiteBis")
   rs.MoveNext
Next
QueryArticles = a
rs.Close
End Function

